## com.sun.pdfview.action
Class PDFAction

    java.lang.Object
      com.sun.pdfview.action.PDFAction

Direct Known Subclasses:
  GoToAction

    public class PDFAction

extends java.lang.Object

The common super-class of all PDF actions.

Constructor Summary
`PDFAction(java.lang.String type)` Creates a new instance of PDFAction

Method Summary
`static PDFAction` `getAction(PDFObject obj, PDFObject root)` Get an action of the appropriate type from a PDFObject
`PDFObject` `getNext()` Get the next action or array of actions
`java.lang.String` `getType()` Get the type of this action
`void` `setNext(PDFObject next)` Set the next action or array of actions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFAction

    public PDFAction(java.lang.String type)

  Creates a new instance of PDFAction

Method Detail

### getAction

    public static PDFAction getAction(PDFObject obj,
                                      PDFObject root)
                               throws java.io.IOException

  Get an action of the appropriate type from a PDFObject

  Parameters:
    `obj` - the PDF object containing the action to parse
    `root` - the root of the PDF object tree
  Throws:
    `java.io.IOException`

### getType

    public java.lang.String getType()

  Get the type of this action

### getNext

    public PDFObject getNext()

  Get the next action or array of actions

### setNext

    public void setNext(PDFObject next)

  Set the next action or array of actions